import { scheduleObservable as o } from "./index-scheduleObservable.js";
import { schedulePromise as m } from "./index-schedulePromise.js";
import { scheduleArray as f } from "./index-scheduleArray.js";
import { scheduleIterable as i } from "./index-scheduleIterable.js";
import { scheduleAsyncIterable as a } from "./index-scheduleAsyncIterable.js";
import { isInteropObservable as t } from "./index-isInteropObservable.js";
import { isPromise as s } from "./index-isPromise.js";
import { isArrayLike as l } from "./index-isArrayLike.js";
import { isIterable as b } from "./index-isIterable.js";
import { isAsyncIterable as c } from "./index-isAsyncIterable.js";
import { createInvalidObservableTypeError as d } from "./index-throwUnobservableError.js";
import { isReadableStreamLike as I } from "./index-isReadableStreamLike.js";
import { scheduleReadableStreamLike as y } from "./index-scheduleReadableStreamLike.js";
function T(r, e) {
  if (r != null) {
    if (t(r))
      return o(r, e);
    if (l(r))
      return f(r, e);
    if (s(r))
      return m(r, e);
    if (c(r))
      return a(r, e);
    if (b(r))
      return i(r, e);
    if (I(r))
      return y(r, e);
  }
  throw d(r);
}
export {
  T as scheduled
};
